{
  "schema_version": "1.4.0",
  "id": "GHSA-g3f2-566v-jfqm",
  "modified": "2022-05-02T06:21:32Z",
  "published": "2022-05-02T06:21:32Z",
  "aliases": [
    "CVE-2010-1319"
  ],
  "details": "Integer overflow in the AgentX::receive_agentx function in AgentX++ 1.4.16, as used in RealNetworks Helix Server and Helix Mobile Server 11.x through 13.x and other products, allows remote attackers to execute arbitrary code via a request with a crafted payload length.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-1319"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/39279"
    },
    {
      "type": "WEB",
      "url": "http://www.realnetworks.com/uploadedFiles/Support/helix-support/SecurityUpdate041410HS.pdf"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/39490"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/0889"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-04-20T15:30:00Z"
  }
}